<?php
$titlu='Sitemap cântări';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/cantari','Cântări');
$categorii=$conn->query('SELECT`id`,`nume`FROM`cantari_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/cantari/pagina/'.$z1,'Cântări - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/cantari/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Cântări, categoria '.htmlspecialchars($categorie[1]));
$cantari=$conn->query('SELECT`id`,`nume`FROM`cantari`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($cantare=$cantari->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/cantari/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Cântări, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/cantare/id/'.$cantare[0].'-'.seo($cantare[1]),'Cântăre '.htmlspecialchars($cantare[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`cantari_aprecieri`WHERE`pid`="'.$cantare[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-cantare/id/'.$cantare[0].'-'.seo($cantare[1]).'/tip/aprecieri','Aprecieri cantare '.htmlspecialchars($cantare[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-cantare/id/'.$cantare[0].'-'.seo($cantare[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri cantare '.htmlspecialchars($cantare[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`cantari_aprecieri`WHERE`pid`="'.$cantare[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-cantare/id/'.$cantare[0].'-'.seo($cantare[1]).'/tip/dezaprecieri','Dezaprecieri cantare '.htmlspecialchars($cantare[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-cantare/id/'.$cantare[0].'-'.seo($cantare[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri cantare '.htmlspecialchars($cantare[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`cantari_comentarii`WHERE`pid`="'.$cantare[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-cantare/id/'.$cantare[0].'-'.seo($cantare[1]),'Comentarii cantare '.htmlspecialchars($cantare[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-cantare/id/'.$cantare[0].'-'.seo($cantare[1]).'/pagina/'.($comentarii+1),'Comentarii cantare '.htmlspecialchars($cantare[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`cantari_note`WHERE`pid`="'.$cantare[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-cantare/id/'.$cantare[0].'-'.seo($cantare[1]),'Note cantare '.htmlspecialchars($cantare[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-cantare/id/'.$cantare[0].'-'.seo($cantare[1]).'/pagina/'.($note+1),'Note cantare '.htmlspecialchars($cantare[1]).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';